import { jsx } from "react/jsx-runtime";
import { TokenRIBBIT as TokenRIBBIT$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenRIBBIT = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "RIBBIT", "data-name": "TokenRIBBIT", ...props, children: /* @__PURE__ */ jsx(TokenRIBBIT$1, { variant }) });
  }
);
TokenRIBBIT.displayName = "TokenRIBBIT";
Object.assign(TokenRIBBIT, { isGdsIcon: true });
export {
  TokenRIBBIT
};
